// FICHIER INCLUDE GALAXY: EXEMPLES D'OBJETS GALAXY
// ************************************************
// Cette scne montre tous les vingt objets de Galaxy crs par
// Galaxy.obj. Ils sont groups par lignes (toiles, nbuleuses, galaxies
// comtes, et mtores en bas), numrots de gauche  droite
// (dbutant  1). Pour plus d'informations sur l'utilisation de ces objets,
// voyez Galaxy-fr.htm
//
// Rsolution recommande: 800x600 ou suprieure, sans anti-aliasing

//  LIMITER L'ANGLE DE LA CAMERA (POUR EVITER LES DISTORSIONS)
   camera {location <0, 0, 0> look_at <0, 0, 1> angle 24}

// OPTIONS GLOBALES DE GALAXY
   #declare galaxy_colour1 = <1.3, 1.2, .9>;
   #declare galaxy_colour2 = <.4, .8, 1>;
   #declare galaxy_cluster_name = ""

// CHAMP D'ETOILES EN ARRIERE-PLAN
   #declare galaxy_bgstars = 2;
   #declare galaxy_bgnebula = false;
   #declare galaxy_nebula_sphere = false;
   #include "GALAXY.BG"   

// OBJETS "ETOILES"
   #declare galaxy_object_scale = .2;
   #declare C = 0; #while (C < 4)
      #declare galaxy_object_name = concat("Star", str(C + 1, 0, 0))
      #declare galaxy_object_position = <7, -10 + C * 4, 0>;
      #include "GALAXY.OBJ"
   #declare C = C + 1; #end

// OBJETS "NEBULEUSES"
   #declare galaxy_object_scale = .15;
   #declare C = 0; #while (C < 6)
      #declare galaxy_object_name = concat("Nebula", str(C +1, 0, 0))
      #declare galaxy_object_position = <3, -10 + C * 4, 0>;
      #include "GALAXY.OBJ"
   #declare C = C + 1; #end

// OBJETS "GALAXIES"
   #declare galaxy_object_rotate = 30;
   #declare C = 0; #while (C < 5)
      #declare galaxy_object_name = concat("Galaxy", str(C + 1, 0, 0))
      #declare galaxy_object_position = <-1, -10 + C * 4, 0>;
      #include "GALAXY.OBJ"
   #declare C = C + 1; #end

// OBJETS "COMETES"
   #declare C = 0; #while (C < 3)
      #declare galaxy_object_name = concat("Comet", str(C + 1, 0, 0))
      #declare galaxy_object_position = <-4.5, -11 + C * 4, 0>;
      #include "GALAXY.OBJ"
   #declare C = C + 1; #end

// OBJETS "METEORES"
   #declare C = 0; #while (C < 2)
      #declare galaxy_object_name = concat("Meteor", str(C + 1, 0, 0))
      #declare galaxy_object_position = <-7.5, -11 + C * 4, 0>;
      #include "GALAXY.OBJ"
   #declare C = C + 1; #end
